extends PuzzleManager

@export var next_room_wall: Node2D
@export var box_puzzle_light: Sprite2D
@export var switch_puzzle_light: Sprite2D

func _on_finish_room():
	next_room_wall.queue_free()

func _on_simple_box_puzzle_complete_puzzle():
	box_puzzle_light.frame = 17
	
func _on_simple_switch_puzzle_complete_puzzle():
	switch_puzzle_light.frame = 17
